Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 15-11-2010 22:55:00

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Depuis le 2.6.26 fait un:

update-grub


Il faut *impérativement* que ces manips soient faites depuis le 2.6.32-.

Alicia a écrit :

Re !
juste une question en passant : après avoir installé le linux-support-2.6.32-bpo-5, je ne peux rebooter que sur mon 2.6.26... (pas de nouvelle ligne dans grub).


Le paquet s'appelle linux-image-2.6.35-bpo-5


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#27 16-11-2010 18:58:59

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Ok ok...

Me revoilà, parce que forcément, ça marche pas ! donc j'ai bien installé le linux-image-2.6.35-bpo-5 (et non le linux-support comme j'avais fait hier, parce que je n'avais absolument pas vu qu'il y avait un linux-image...)
j'ai également installé grub-pc depuis synaptic, mais je n'ai pas fait l'upgrade (j'ai vraiment besoin de savoir si ça marche avant de tout casser !)

je reboote, lors de l'écran grub je choisis chainload grub2, puis j'ai un nouvel écran, similaire au premier, mais sans ma ligne windows... déjà là ça m'embête un peu !! bref je n'ai donc toujours pas fait l'upgrade, et je boote sur la ligne linux 2.6.32-bpo-5

tout va bien, j'arrive à l'écran de log, je passe en tty comme prévu, j'installe udev, et les firmware, tout ça c'est ok !

puis je fais un petit aptitude dist-upgrade, et là, rien ne se passe, ou plutôt il se passe des choses (lecture de l'arbre des dépendances, lecture de blablabla... tout ça passant un par un au statut fait), puis : 0 paquets installés, 0 paquets mis à jour... en gros il ne fait donc rien ! pareil pour le aptitude upgrade....

débutante que je suis, je tente quand même d'aller au bout, j'installe gnome et gdm, et là tout plein de messages d'erreur... finalement je reboote sur mon bon vieux 2.6.26 qui marche plutot bien, à part ce petit problème d'enceintes (qui commence à prendre des proportions inconsidérées et qui me bouffe tout mon temps :@ !!) !

donc avec tout ça j'en arrive à me demander si je ne ferai pas mieux d'attendre la version stable de Squeeze pour me poser toutes ces questions (j'imagine qu'une fois la version actuelle installée, il faudra encore faire un upgrade lors de la sortie de la version stable non ?)... et continuer à regarder mes films sous windows, avec mes enceintes !
sauf si bien sur vous avez des pistes menant à la solution de mon problème...

Hors ligne

#28 17-11-2010 04:48:59

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Tcho,

Alicia a écrit :

je reboote, lors de l'écran grub je choisis chainload grub2, puis j'ai un nouvel écran, similaire au premier, mais sans ma ligne windows... déjà là ça m'embête un peu !! bref je n'ai donc toujours pas fait l'upgrade, et je boote sur la ligne linux 2.6.32-bpo-5


Pour aligner les données de grub1 et de grub2 ( car en ce moment les deux se passent lamain sur ta machine ) il "suffit" de faire un:

upgrade-from-grub-legacy


A ce stade ça ne sert a rien mais pour accéder a ta partition windows ç'est plus pratique quand même big_smile

Alicia a écrit :

tout va bien, j'arrive à l'écran de log, je passe en tty comme prévu, j'installe udev, et les firmware, tout ça c'est ok !

puis je fais un petit aptitude dist-upgrade, et là, rien ne se passe, ou plutôt il se passe des choses (lecture de l'arbre des dépendances, lecture de blablabla... tout ça passant un par un au statut fait), puis : 0 paquets installés, 0 paquets mis à jour... en gros il ne fait donc rien ! pareil pour le aptitude upgrade....


Chez moi aussi ça coinçait. J'ai alterné les upgrade et les dist-upgrade jusqu'a ce que le système se mette à jour entierement, installé manuellement certains paquets qui coinçaient.

Alicia a écrit :

donc avec tout ça j'en arrive à me demander si je ne ferai pas mieux d'attendre la version stable de Squeeze pour me poser toutes ces questions (j'imagine qu'une fois la version actuelle installée, il faudra encore faire un upgrade lors de la sortie de la version stable non ?)..


Tu imagine bien, sauf qu'actuellement la migration se complique pour "contourner" le bug dont j'ai fait mention plus haut ( il fait trés mal, je me le suis pris une fois : kernel panic, plus de boot, /dev jamais "fully populated" et toussa )
Pourrais-tu nous renvoyer le résultat de

apt-cache policy udev gdm dpkg


, histoire de voir ou on en est???
Sinon une solution plus simple serait, si tu à une partition /home séparée de réinstaller la partition / en squeeze sans formater /home ( mais bon, je trouve ça bourin ).


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#29 17-11-2010 17:19:39

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Voili voilà :

# apt-cache policy udev gdm dpkg
udev:
  Installé : 0.125-7+lenny3
  Candidat : 0.125-7+lenny3
 Table de version :
 *** 0.125-7+lenny3 0
        990 http://ftp.fr.debian.org lenny/main Packages
        100 /var/lib/dpkg/status
     0.125-7+lenny1 0
        995 http://security.debian.org lenny/updates/main Packages
gdm:
  Installé : 2.20.7-4lenny1
  Candidat : 2.20.7-4lenny1
 Table de version :
 *** 2.20.7-4lenny1 0
        990 http://ftp.fr.debian.org lenny/main Packages
        100 /var/lib/dpkg/status
dpkg:
  Installé : 1.14.29+b1
  Candidat : 1.14.29+b1
 Table de version :
 *** 1.14.29+b1 0
        995 http://security.debian.org lenny/updates/main Packages
        100 /var/lib/dpkg/status
     1.14.29 0
        990 http://ftp.fr.debian.org lenny/main Packages


pour le grub, si je l'upgrade, j'aurai normalement mon windows dedans, comme dans mon grub 1 ? parce que là quand j'arrive sur l'écran du grub 2 je ne l'ai pas (bien qu'il soit dans le menu.list...)

Hors ligne

#30 18-11-2010 03:28:27

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Bon visiblement les paquets"critiques" ne se sont pas mis à jour.

Alicia a écrit :

pour le grub, si je l'upgrade, j'aurai normalement mon windows dedans, comme dans mon grub 1 ? parce que là quand j'arrive sur l'écran du grub 2 je ne l'ai pas (bien qu'il soit dans le menu.list...)


Ouaip, c'est une mesure de sécurité qui date de l'époque ou grub2 était instable. en fait c'est toujours grub1 qui est sur le MBR et il passe la main a grub2 qui se trouve sur /.

Tu pourrais faire un récapitulatif de tout ce que tu as fait jusqu'ici ???

1) désinstaller le noyau squeeze, puis passer par les backports (j'ai également 2/3 questions sur la procédure à suivre, bien qu'elle ait été assez bien détaillée par Clem !). Voilà ce que j'en ai compris :

1* désinstaller le noyau (dans synaptic, sélectionner pour suppression complète ?)
2* commenter les sources squeeze dans sources.list et ajouter la ligne des backports
3* installer le noyau 2.6.32-bpo-5 (depuis Synaptic ?)
4* booter dessus


Il me semble que tu te sois arreté là neutral , non ???
Parce qu'il ne semble pas y avoir de dépots Squeeze sur ta machine.
Par exemple chez moi:

%apt-cache policy udev
udev:
  Installé : 163-2
  Candidat : 163-2
 Table de version :
 *** 163-2 0
        500 http://ftp.fr.debian.org/debian/ [b]squeeze/main[/b] amd64 Packages
        100 /var/lib/dpkg/status


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#31 18-11-2010 19:24:10

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Oui c'est tout ce que j'ai fait. J'ai juste, une fois rebooté sur le 2.6.32-bpo-5 et passé en tty, installé firmware-linux (aptitude install udev firmware-linux firmware-linux-free firmware-linux-non-free), et là il me semblait bien que tout avait été installé (que qui est bizarre car la version udev semble toujours être une lenny...)

Anyway, en passant j'ai upgradé mon grub... et comme j'en avais peur je n'ai plus de ligne windows... donc je ne peux plus accéder à ma partition windows, et là c'est le caca (pour rester polie !)...j'ai été voir dans /boot/grub/menu.lst et tout est là, mais il semble que ce fichier soit consacré à grub et non grub 2 (si je comprends bien, car il y a encore dans ce fichier la ligne chainload into grub2, ce que je voyais depuis grub avant de faire l'upgrade)... En gros quels sont les fichiers qui permettent de choisir les partitions accessibles au démarrage pour grub2 (l'équivalent de menu.lst, si ça existe), ou tout simplement comment faire pour à nouveau voir ma partition windows depuis grub2 ?

Hors ligne

#32 18-11-2010 19:37:51

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

bon alors en fait je viens de trouver le fichier de config de grub-pc (c'est bien celui la que j'ai et non grub 2, enfin je sais pas trop quelle est la différence) : /boot/grub/grub.cfg
voilà son contenu :

#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by /usr/sbin/update-grub using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
set default=0
set timeout=5
set root=(hd0,3)
search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
if font /usr/share/grub/ascii.pff ; then
  set gfxmode=640x480
  insmod gfxterm
  insmod vbe
  terminal gfxterm
fi
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/05_debian_theme ###
set root=(hd0,3)
search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
insmod png
if background_image /usr/share/images/desktop-base/moreblue-orbit-grub.png ; then
  set color_normal=black/black
  set color_highlight=magenta/black
else
  set menu_color_normal=cyan/blue
  set menu_color_highlight=white/blue
fi
### END /etc/grub.d/05_debian_theme ###

### BEGIN /etc/grub.d/10_hurd ###
### END /etc/grub.d/10_hurd ###

### BEGIN /etc/grub.d/10_linux ###
menuentry "Debian GNU/Linux, linux 2.6.32-bpo.5-686" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.32-bpo.5-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro  
  initrd  /boot/initrd.img-2.6.32-bpo.5-686
}
menuentry "Debian GNU/Linux, linux 2.6.32-bpo.5-686 (single-user mode)" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.32-bpo.5-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro single
  initrd  /boot/initrd.img-2.6.32-bpo.5-686
}
menuentry "Debian GNU/Linux, linux 2.6.26-2-686" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.26-2-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro  
  initrd  /boot/initrd.img-2.6.26-2-686
}
menuentry "Debian GNU/Linux, linux 2.6.26-2-686 (single-user mode)" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.26-2-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro single
  initrd  /boot/initrd.img-2.6.26-2-686
}
menuentry "Debian GNU/Linux, linux 2.6.18-6-686" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.18-6-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro  
  initrd  /boot/initrd.img-2.6.18-6-686
}
menuentry "Debian GNU/Linux, linux 2.6.18-6-686 (single-user mode)" {
  set root=(hd0,3)
  search --fs-uuid --set c1428617-3fbd-4566-aaff-8fbec3c99eb2
  linux /boot/vmlinuz-2.6.18-6-686 root=UUID=c1428617-3fbd-4566-aaff-8fbec3c99eb2 ro single
  initrd  /boot/initrd.img-2.6.18-6-686
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file is an example on how to add custom entries
### END /etc/grub.d/40_custom ###


A aucun endroit n'apparaît ma partition windows, et ce fichier est un peu plus complexe que le menu.lst... et le DO NOT EDIT THIS FILE au début, je dois l'avouer, me fais un peu peur... comment je peux faire pour rajouter ma partition windows là dedans ? (montée sur (hd0,0) dans grub)

Hors ligne

#33 18-11-2010 20:06:34

zoroastre74
Membre
Distrib. : Debian Wheezy
Noyau : Linux 3.2
(G)UI : Awesome wm v3.4.13 (Octopus)
Inscription : 28-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Yep !

Tu peux éditer le fichier grub.cfg (il s'agit bien de grub2 ici)

Mais tout d'abord, faire en root :

os-prober && update-grub


Manuellement,

# Windows XP
menuentry "Windows XP" {
set root=(hd0,0)
chainloader +1
}


@+

Zoroastre.

Dernière modification par zoroastre74 (18-11-2010 20:08:04)

Hors ligne

#34 18-11-2010 20:13:25

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Héhé merci bien l'ami big_smile !! juste un petit os-prober && update-grub et pouf pouf magie magie une ligne windows est apparue dans grub-cfg !! c'était pas bien difficile pour une fois, j'aime smile

Hors ligne

#35 18-11-2010 20:36:45

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Salut Alicia,

Si ce fil est [Resolu] tu peux le marquer dans le titre. Voir :
http://debian-facile.org/atelier:resolu Hop !

Hi hi hi... smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#36 18-11-2010 20:57:29

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

arf pas de problème mais j'ai peur que ce ne soit toujours pas résolu... A l'origine je suis là pour la migration de lenny à squeeze, le passage de grub à grub 2 n'était qu'une formalité...
Et mon squeeze n'en est pour le moment qu'à l'étape backports... donc pas du tout fonctionnel, et j'ai encore un petit peu besoin de votre aide... roll

Hors ligne

#37 18-11-2010 21:35:11

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Arf ! j'ai donc perdu mon point chocolat alors ! big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#38 19-11-2010 20:32:28

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Reprenons,
Que renvoit:

apt-cache policy


et quel est le contenu de ton sources.list

cat /etc/apt/sources.list


Ha, et que renvoit:

cat /etc/debian_version


Patience, patience Alicia smile 'M'enfin tout ça pour une carte son, c'est pô cool hmm


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#39 20-11-2010 16:12:18

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Alors :

# apt-cache policy
Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://wine.budgetdedicated.com etch/main Packages
     release o=winehq,a=stable,l=winehq,c=main
     origin wine.budgetdedicated.com
   1 http://backports.debian.org lenny-backports/non-free Packages
     release o=Debian Backports,a=lenny-backports,l=Debian Backports,c=non-free
     origin backports.debian.org
   1 http://backports.debian.org lenny-backports/contrib Packages
     release o=Debian Backports,a=lenny-backports,l=Debian Backports,c=contrib
     origin backports.debian.org
   1 http://backports.debian.org lenny-backports/main Packages
     release o=Debian Backports,a=lenny-backports,l=Debian Backports,c=main
     origin backports.debian.org
 980 http://mirror.home-dn.net lenny/main Packages
     release v=5.0r0,o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages,c=main
     origin mirror.home-dn.net
 500 http://volatile.debian.org lenny/volatile/main Packages
     release o=volatile.debian.org,a=stable,l=debian-volatile,c=main
     origin volatile.debian.org
 995 http://security.debian.org lenny/updates/main Packages
     release v=5.0,o=Debian,a=stable,l=Debian-Security,c=main
     origin security.debian.org
 990 http://ftp.fr.debian.org lenny/non-free Packages
     release v=5.0.6,o=Debian,a=stable,l=Debian,c=non-free
     origin ftp.fr.debian.org
 990 http://ftp.fr.debian.org lenny/contrib Packages
     release v=5.0.6,o=Debian,a=stable,l=Debian,c=contrib
     origin ftp.fr.debian.org
 500 http://ftp.fr.debian.org lenny/main Translation-fr
 990 http://ftp.fr.debian.org lenny/main Packages
     release v=5.0.6,o=Debian,a=stable,l=Debian,c=main
     origin ftp.fr.debian.org
Paquets étiquetés :
acdebian:/home/alicia#


c'est normal qu'il n'y ait rien après paquets étiquetés ? (d'ailleurs, ça veut dire quoi ?)

Mon sources.list :

## Lenny

deb http://ftp.fr.debian.org/debian/ lenny main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main
deb-src http://security.debian.org/ lenny/updates main

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main

deb http://mirror.home-dn.net/debian-multimedia/ lenny main
deb-src http://mirror.home-dn.net/debian-multimedia/ lenny main

deb http://backports.debian.org/debian-backports lenny-backports main contrib non-free
deb-src http://backports.debian.org/debian-backports lenny-backports main contrib non-free



#Squeeze 10.11.10
#deb http://ftp.fr.debian.org/debian/ squeeze main contrib non-free
#deb-src http://ftp.fr.debian.org/debian/ squeeze main contrib non-free

#backports squeeze
deb http://backports.debian.org/debian-backports lenny-backports main contrib non-free


et :

# cat /etc/debian_version
5.0.6


(depuis le noyau 2.6.26)

voili voili !! c'est bien vrai que tout ça pour une carte son, ça fait du boulot !! mais au final j'en apprends des choses et c'est pas plus mal smile

Hors ligne

#40 20-11-2010 16:38:12

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Tcho,

Ok je vois ou tu en es.

En graphique, sur le 2.6.26 décommente les sources squeeze et sauvegarde ce fichiers préférences avec gedit dans ton dossier (dossier perso plutôt que root ):

  Package: *
Pin: release o=Debian,a=testing,l=Debian-Security
Pin-Priority: 900

Package: *
Pin: release o=Unofficial Multimedia Packages,a=testing,l=Unofficial Multimedia Packages
Pin-Priority: 800

Package: *
Pin: release o=Debian,a=testing,l=Debian
Pin-Priority: 900

Package: *
Pin: release o=Debian,a=stable,l=Debian-Security
Pin-Priority: 450

Package: *
Pin: release o=Debian,a=stable,l=Debian
Pin-Priority: 440

Package: *
Pin: release o=Unofficial Multimedia Packages,a=stable,l=Unofficial Multimedia Packages
Pin-Priority: 400


appelle le pref-testing par exemple.

Si j'ai bien suivis tu peut bouter. sur le 2.6.32-bpo; Donc reboot
alors tu fais(en tty et en root):

#aptitude -t testing install udev


Pour installer udev
Ensuite, sauvegarder l'ancien fichier preferences (Au cas ou)

#cd /etc/apt/
#cp preferences preferences.old


puis, écraser l'ancien préférences en le remplacant par le nouveau (celui qui donnera la priorité à Squeze):

#cp /home/ton_user/pref-testing preferences
#aptitude update
#aptitude install dpkg aptitude


Dans un premier temps.

Et

#aptitude -s dist-upgrade


Pour simuler la migration et voir d'éventuels blocages. Si tout va bien:

#aptitude dist-upgrade
#aptitude upgrade


Et refaire des upgrades jusqu'a ce que tout soit bien à jour.

Bon courage, si ça bloque n'hésite pas à réfléchir avant d'agir tongue et à demander smile

Dernière modification par Clem (20-11-2010 16:39:22)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#41 20-11-2010 21:20:38

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Alors alors, quelques nouvelles :

1)décommener les sources squeeze dans sources.list : OK
2)fichier préférences crée dans mon home : OK
3)reboot sur 2.6.32-bpo-5 : OK
4)aptitude -t testing install udev : OK (quelques messages étranges, mais il semblerait qu'il cherche déjà à updater grub avec la version 2.6.32-5-686 qui n'est pas encore installée)
à la fin : état actuel 1014 mises à jour restantes


est-ce que je dois déjà commencer à me poser des questions ? recommencer l'install ?
anyway pour le moment je continue

5) copie du preferences dans preferences.old et mettre le contenu de mon pref-testing dans /etc/apt/preferences :OK


le fichier s'appelle preferences ou préférences ?? (cette question a une importance plus tard...)

6)aptitude update


plein de blablabla, puis :

W:duplicate sources.list entry http://backports.debian.org lenny-backports/main blabla (idem pour /contrib et /non-free)
W:vous pouvez lancer apt-get update pour corriger ça
E:enregistrement invalide de votre fichier préférences, aucune entrée "Package"


c'est là que je me demande si mon fichier ne doit pas s'appeler préférences, avec accents !
je tente déséspérément un :apt-get update

W : Impossible de récupérer http://wine.budgetdedicated.com/apt/dists/etch/main/source/Sources 404 not found
E : le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés ou les anciens ont été utilisés à la place


et là je me dis, c'est étrange qu'il veuille récupérer des trucs chez etch... non ??

enfin bon à ce stade, comme tu dis, je préfère me renseigner plutot que de continuer...

Hors ligne

#42 21-11-2010 06:48:35

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Alicia a écrit :

 4)aptitude -t testing install udev : OK (quelques messages étranges, mais il semblerait qu'il cherche déjà à updater grub avec la version 2.6.32-5-686 qui n'est pas encore installée)
à la fin : état actuel 1014 mises à jour restantes


est-ce que je dois déjà commencer à me poser des questions ? recommencer l'install ?


Non, surtout pas c'est tout à fait normal qu'il y ait des messages d'avertissements(enfin ça dépend de la "gravité" des messages), d'ailleurs pour le calmer voir * ( plus bas).

le fichier s'appelle preferences ou préférences ?? (cette question a une importance plus tard...


C'est bien preferences, sans accent et avec un "s".

Alicia a écrit :

W:duplicate sources.list entry http://backports.debian.org lenny-backports/main blabla (idem pour /contrib et /non-free)
W:vous pouvez lancer apt-get update pour corriger ça
E:enregistrement invalide de votre fichier préférences, aucune entrée "Package"


c'est là que je me demande si mon fichier ne doit pas s'appeler préférences, avec accents


Pourtant c'est bien /etc/apt/preferences. Cela doit être à cause de l'espace de 2 lignes au début du fichiers que je t'ai donné ( honte à moi hmm ). A réparer !! ( re-Honte sad )
Utilise l'auto-complétion ( touche tab ) pour écraser le fichier sans risque d'en créer un autre.
Ceci dit les erreurs pour les dépots backports ne sont plus trés grave arrivés là. Tu peut les effacer de ton sources.list ( c'est même plus propre car certains logiciels peuvent avoir la même version en backports et en Squeeze ).

Voici le * annoncé plus haut: Tu peut installer le 2.6.32-5-686 si tu le veut et lancer un upgrade-grub. Si tu es sure de ne pas redémarrer avant d'avoir terminer la migration. ( meuh bon c'est pas ( pas encore du moins ) indispensable )

Alicia a écrit :

W : Impossible de récupérer http://wine.budgetdedicated.com/apt/dists/etch/main/source/Sources 404 not found
E : le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés ou les anciens ont été utilisés à la place


et là je me dis, c'est étrange qu'il veuille récupérer des trucs chez etch... non ??


En fait c'est plutôt cohérent avec ce que renvoi apt-cache policy wink

apt-cache policy a écrit :

500 http://wine.budgetdedicated.com etch/main Packages
     release o=winehq,a=stable,l=winehq,c=main


Il y a bien des sources etch ( wine de surcroît ) qui errent quelque part sur ta machine : !?! 'Zarb'
Regarde dans /etc/apt/sources.list.d/  et /etc/apt/preferences.d/  au cas ou il y ait des fichiers présents.

Ha oui, j'oubliais.

Alicia a écrit :

c'est normal qu'il n'y ait rien après paquets étiquetés ? (d'ailleurs, ça veut dire quoi ?)


L'étiquetage des paquets sert à bloquer/forcer/interdire une version donnée des paquets en cas de pinning et/ou de bugs d'une certaine version (surtout de bugs : en Sid l'option "p" d'aptitude est mon meilleur ami tongue ) .
Le fait que tu n'en ait aucun est positif. Cela veut dire que tu as un système "propre" roll Dans le sens ou c'est une branche "pure" sans ajout, ni pinning ( sauf wine neutral essaye de trouver d'ou il vient celui là : il est potentiellement source d'ennui )
@ +


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#43 21-11-2010 08:42:11

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] Upgrade Lenny->Squeeze

Chère padawan Alicia,

Il est temps pour toi de rencontrer la force des outils aptitude et apt-get qui se trouvent ici :
http://debian-facile.org/doc:systeme:apt
Ils permettent d'administrer avec sciences et sagesse les installations de nos paquets debian.

Et là :
http://debian-facile.org/manuel:debutant

Et aussi là, par un dimanche neigeux de froidure et de spleen...
http://debian-facile.org/manuel:commande

Amitié, Jojo big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#44 21-11-2010 16:45:02

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

bien bien !

c'est bien vrai qu'il faudrait vraiment que je me mette la tête dans toute cette doc... mais faut avouer que de si bons conseils que ceux qu'on peut trouver ici ne valent pas un manuel d'utilisation (et aussi j'ai une grosse flemme...) mais certes je vais m'y mettre !!

en ce qui concerne les deux espaces au début du fichier preferences, ça à l'air mieux maintenant !

il y a bien des fichiers présents dans /etc/apt/sources.list.d/ (winehq.list qui contient les lignes qui posent problème et winehq.list.save qui contient exactement la même chose !)... est-ce que je dois simplement les supprimer ??

Hors ligne

#45 22-11-2010 04:35:40

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

il y a bien des fichiers présents dans /etc/apt/sources.list.d/ (winehq.list qui contient les lignes qui posent problème et winehq.list.save qui contient exactement la même chose !)... est-ce que je dois simplement les supprimer ??


Oui. Garde le fichiers .save, il n'impacte pas sur le sources.list et tu pourral e réadapter pour Squeeze au cas ou.

ET hop ... C'est reparti pour un tour!


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#46 24-11-2010 16:54:17

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Ok alors me revoilà après de nouvelles tentatives.
Les étapes qui ont été faites sans problèmes :

aptitude -t testing install udev
aptitude update
aptitude install dpkg aptitude
aptitude -s dist upgrade


dans les deux dernières étapes, il me dit qu'il y a des dépendances non satisfaites et si je veux continuer quand même, je réponds oui, et tout se déroule sans erreur. puis :

aptitude dist-upgrade

là c'est la catastrophe !! les messages d'erreurs sont trop rapides pour que j'ai le temps de les noter, en gros il n'arrive pas à ouvrir ou à accéder à quelque chose du genre :
/var/cache/apt/archives/xxx

puis il me dit erreur en sortie, impossible d'écrire dans le fichier /var/cache/apt/archives/xxx.deb (xxx représentant différents fichiers)
pas d'espace disponible

mais normalement j'en ai tout plein de place dans ma partition root... alors je comprends pas tellement tellement...

Hors ligne

#47 24-11-2010 17:02:47

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Alicia a écrit :

aptitude dist-upgrade

là c'est la catastrophe !! les messages d'erreurs sont trop rapides pour que j'ai le temps de les noter, .


Ca c'est un peu normal lors d'une mise à jour plein de logiciels changent de configuration par défaut.

Alicia a écrit :

en gros il n'arrive pas à ouvrir ou à accéder à quelque chose du genre :
/var/cache/apt/archives/xxx


Ca arrive quand deux logiciels utilisants apt sont ouverts en même temps, genre synaptic + aptitude ou quand on est pas root.

Alicia a écrit :

puis il me dit erreur en sortie, impossible d'écrire dans le fichier /var/cache/apt/archives/xxx.deb (xxx représentant différents fichiers)
pas d'espace disponible

mais normalement j'en ai tout plein de place dans ma partition root... alors je comprends pas tellement tellement...


Il faut révoir l'équivalent de ce qui est déjà occupé.
Que donne :

df -ha


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#48 24-11-2010 17:25:07

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

alors je fait tout ça dans un tty en root, donc je n'ai pas de programmes ouverts, sauf les commandes que je lance une par une.
autant pour moi, ma partition root est complètement overpleine :

# df -ha
Sys. de fich.         Tail. Occ. Disp. %Occ. Monté sur
/dev/hda3             6,5G  6,5G     0 100% /
tmpfs                 633M     0  633M   0% /lib/init/rw
proc                     0     0     0   -  /proc
sysfs                    0     0     0   -  /sys
procbususb               0     0     0   -  /proc/bus/usb
udev                   10M  176K  9,9M   2% /dev
tmpfs                 633M     0  633M   0% /dev/shm
devpts                   0     0     0   -  /dev/pts
fusectl                  0     0     0   -  /sys/fs/fuse/connections
/dev/hda7              57G   29G   26G  53% /home
/dev/hda1              53G   40G   13G  76% /media/winc
/dev/hda5              31G   22G  8,6G  72% /media/wind
overflow              1,0M  8,0K 1016K   1% /tmp
binfmt_misc              0     0     0   -  /proc/sys/fs/binfmt_misc


la question suivante (je suis vraiment désolée pour toutes ces questions de base et erreurs de débutant .. roll ) étant : comment je peux faire pour libérer de la place sur mon root sans supprimer de trucs vitaux ?? (moi pas savoir quels sont les trucs vitaux et lesquels ne le sont pas... je peux difficilement supprimer des trucs un à un... ça me paraît un peu risqué...)

Hors ligne

#49 24-11-2010 17:34:31

Clem
Membre
Lieu : Au coin du bois
Distrib. : Stable && Sid
Noyau : 3.16-2 & 3.17-1 *-amd-64
(G)UI : XMonad & Mate(?)
Inscription : 09-03-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

#aptitude autoclean
#aptitude install localepurge


Configurer localepurge pour ne conserver que les languages français ( fr_FR) puis

#localepurge


Tu peux aussi libérer une partition ( genre 5 ou 6 go ) et y monter /var ( EDIT = ou dans ton home il y a de la place = fin de l'EDIT)

Avec si peu d'espace total :  6,5G. Ca va pas être de la tarte ta migration roll
Même sur mes systèmes minimalistes je prévois 10 go mad

EDIT =

Mais c'est faisable: Il suffit de déplacer /var.
Je te laisse un peu de lecture: http://www.debian-fr.org/impossible-de- … 30084.html 
C'est une personne qui a fait une migration avec elle aussi trés peu d'espace disque. Et ça à marché smile

Bon jhe retourne à bidouiller mes rontidju de WMs hmm

Dernière modification par Clem (24-11-2010 18:38:01)


Moi, je suis PC (x86_64) et formater windows, c'était MON idée
Le sommeil de la raison ...

Hors ligne

#50 05-01-2011 18:39:41

Alicia
Membre
Inscription : 21-08-2010

Re : [RESOLU] Upgrade Lenny->Squeeze

Bonjour à tous !

Me revoilà après quelques temps très occupés ailleurs... et avec mon problème toujours pas résolu (en gros mon sytème est plus ou moins installé, enfin c'est un peu le big mess quoi !).

Pour repartir sur de bonnes bases, voilà où j'en étais : la migration a été commencée mais pas terminée faute de place sur ma partition root. Apparemment 2 solutions s'offrent à moi :
1) Déplacer momentanément /var vers ma partition /home qui est pleine de place libre
2) Augmenter la partition root (solution que je préfère, pour les prochaines upgrade ça serait plus simple je pense non ?) par contre ça risque d'être pas très facile d'après ce que j'ai commencé à faire...

En gros je voudrais déplacer de l'espace de ma partition /home vers ma partition root : j'ai 57G sur mon /home dont pas loin de 30 de libres, donc je pourrai en "transférer" une dizaine sur mon root. Est-ce possible ?
J'ai GParted qui est installé, et j'ai essayé de l'utiliser pour faire ça... Mon problème est que quand je suis loguée sur ma session, j'ouvre GParted, et forcément je peux pas démonter mon /home puisque je suis dessus... donc je peux pas le redimensionner pour libérer de l'espace libre...

Quand je passe en mode console, et que je veux lancer GParted, il me dit "commande non reconnue"... donc ben là je suis un peu embêtée...

Si vous avez d'autres suggestions je suis open wink

Hors ligne

Pied de page des forums